Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 22446)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 22567)
@@ -33,8 +33,10 @@
  * @version $Id:SC_Utils.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_Utils {
+class SC_Utils 
+{
 
     // インストール初期処理
-    function sfInitInstall() {
+    function sfInitInstall()
+    {
         // インストール済みが定義されていない。
         if (!defined('ECCUBE_INSTALL')) {
@@ -64,5 +66,6 @@
      * @return string インストーラの URL
      */
-    function searchInstallerPath($path) {
+    function searchInstallerPath($path)
+    {
         $installer = 'install/' . DIR_INDEX_PATH;
 
@@ -101,5 +104,6 @@
      * @return string $url を絶対パスに変換した URL
      */
-    function getRealURL($url) {
+    function getRealURL($url)
+    {
         $parse = parse_url($url);
         $tmp = explode('/', $parse['path']);
@@ -120,5 +124,6 @@
 
     // 装飾付きエラーメッセージの表示
-    function sfErrorHeader($mess, $print = false) {
+    function sfErrorHeader($mess, $print = false)
+    {
         global $GLOBAL_ERR;
         $GLOBAL_ERR.= '<div id="errorHeader">';
@@ -131,5 +136,6 @@
 
     /* エラーページの表示 */
-    function sfDispError($type) {
+    function sfDispError($type)
+    {
 
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_DispError_Ex.php';
@@ -144,5 +150,6 @@
 
     /* サイトエラーページの表示 */
-    function sfDispSiteError($type, $objSiteSess = '', $return_top = false, $err_msg = '') {
+    function sfDispSiteError($type, $objSiteSess = '', $return_top = false, $err_msg = '')
+    {
 
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_Ex.php';
@@ -165,5 +172,6 @@
      * @deprecated 2.12.0 trigger_error($debugMsg, E_USER_ERROR) を使用すること
      */
-    function sfDispException($debugMsg = null) {
+    function sfDispException($debugMsg = null)
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         trigger_error($debugMsg, E_USER_ERROR);
@@ -171,5 +179,6 @@
 
     /* 認証の可否判定 */
-    function sfIsSuccess($objSess, $disp_error = true) {
+    function sfIsSuccess($objSess, $disp_error = true)
+    {
         $ret = $objSess->IsSuccess();
         if ($ret != SUCCESS) {
@@ -206,5 +215,6 @@
      * @return string アスタリスクへ変換した文字列
      */
-    function sfPassLen($passlen) {
+    function sfPassLen($passlen)
+    {
         $ret = '';
         for ($i=0;$i<$passlen;true) {
@@ -220,5 +230,6 @@
      * @return bool
      */
-    function sfIsHTTPS() {
+    function sfIsHTTPS()
+    {
         // HTTPS時には$_SERVER['HTTPS']には空でない値が入る
         // $_SERVER['HTTPS'] != 'off' はIIS用
@@ -236,5 +247,6 @@
      *  @return bool
      */
-    function sfIsValidTransition($objSess) {
+    function sfIsValidTransition($objSess)
+    {
         // 前画面からPOSTされるuniqidが正しいものかどうかをチェック
         $uniqid = $objSess->getUniqId();
@@ -247,5 +259,6 @@
 
     /* DB用日付文字列取得 */
-    function sfGetTimestamp($year, $month, $day, $last = false) {
+    function sfGetTimestamp($year, $month, $day, $last = false)
+    {
         if ($year != '' && $month != '' && $day != '') {
             if ($last) {
@@ -270,5 +283,6 @@
      */
     //
-    function sfIsInt($value) {
+    function sfIsInt($value)
+    {
         if (strlen($value) >= 1 && strlen($value) <= INT_LEN && is_numeric($value)) {
             return true;
@@ -283,5 +297,6 @@
      * @return boolean 0で埋められている
      */
-    function sfIsZeroFilling($value) {
+    function sfIsZeroFilling($value)
+    {
         if (strlen($value) > 1 && $value{0} === '0')
             return true;
@@ -289,5 +304,6 @@
     }
 
-    function sfGetCSVData($data, $prefix = '') {
+    function sfGetCSVData($data, $prefix = '')
+    {
         if ($prefix == '') {
             $dir_name = SC_Utils_Ex::sfUpDirName();
@@ -306,5 +322,6 @@
 
     /* 1階層上のディレクトリ名を取得する */
-    function sfUpDirName() {
+    function sfUpDirName()
+    {
         $path = $_SERVER['SCRIPT_NAME'];
         $arrVal = explode('/', $path);
@@ -317,5 +334,6 @@
      * @deprecated
      */
-    function sfMergeCBValue($keyname, $max) {
+    function sfMergeCBValue($keyname, $max)
+    {
         $conv = '';
         $cnt = 1;
@@ -334,5 +352,6 @@
      * @deprecated
      */
-    function sfMergeCheckBoxes($array, $max) {
+    function sfMergeCheckBoxes($array, $max)
+    {
         $ret = '';
         $arrTmp = array();
@@ -356,5 +375,6 @@
      * @deprecated
      */
-    function sfMergeParamCheckBoxes($array) {
+    function sfMergeParamCheckBoxes($array)
+    {
         $ret = '';
         if (is_array($array)) {
@@ -376,5 +396,6 @@
      * @deprecated
      */
-    function sfSearchCheckBoxes($array) {
+    function sfSearchCheckBoxes($array)
+    {
         $max = max($array);
         $ret = '';
@@ -392,5 +413,6 @@
      * @deprecated
      */
-    function sfSplitCheckBoxes($val) {
+    function sfSplitCheckBoxes($val)
+    {
         $arrRet = array();
         $len = strlen($val);
@@ -407,5 +429,6 @@
      * @deprecated
      */
-    function sfMergeCBSearchValue($keyname, $max) {
+    function sfMergeCBSearchValue($keyname, $max)
+    {
         $conv = '';
         $cnt = 1;
@@ -424,5 +447,6 @@
      * @deprecated
      */
-    function sfSplitCBValue($val, $keyname = '') {
+    function sfSplitCBValue($val, $keyname = '')
+    {
         $arr = array();
         $len = strlen($val);
@@ -440,5 +464,6 @@
 
     // キーと値をセットした配列を取得
-    function sfArrKeyValue($arrList, $keyname, $valname, $len_max = '', $keysize = '') {
+    function sfArrKeyValue($arrList, $keyname, $valname, $len_max = '', $keysize = '')
+    {
         $arrRet = array();
         $max = count($arrList);
@@ -465,5 +490,6 @@
 
     // キーと値をセットした配列を取得(値が複数の場合)
-    function sfArrKeyValues($arrList, $keyname, $valname, $len_max = '', $keysize = '', $connect = '') {
+    function sfArrKeyValues($arrList, $keyname, $valname, $len_max = '', $keysize = '', $connect = '')
+    {
 
         $max = count($arrList);
@@ -492,5 +518,6 @@
 
     // 配列の値をカンマ区切りで返す。
-    function sfGetCommaList($array, $space=true, $arrPop = array()) {
+    function sfGetCommaList($array, $space=true, $arrPop = array())
+    {
         if (count($array) > 0) {
             $line = '';
@@ -517,5 +544,6 @@
 
     /* 配列の要素をCSVフォーマットで出力する。*/
-    function sfGetCSVList($array) {
+    function sfGetCSVList($array)
+    {
         $line = '';
         if (count($array) > 0) {
@@ -540,5 +568,6 @@
     /*            ３．エラー (0 = OK, 1 = NG)
     /*-----------------------------------------------------------------*/
-    function sfCheckSetTerm($start_year, $start_month, $start_day, $end_year, $end_month, $end_day) {
+    function sfCheckSetTerm($start_year, $start_month, $start_day, $end_year, $end_month, $end_day)
+    {
 
         // 期間指定
@@ -563,10 +592,12 @@
 
     // エラー箇所の背景色を変更するためのfunction SC_Viewで読み込む
-    function sfSetErrorStyle() {
+    function sfSetErrorStyle()
+    {
         return 'style="background-color:'.ERR_COLOR.'"';
     }
 
     // 一致した値のキー名を取得
-    function sfSearchKey($array, $word, $default) {
+    function sfSearchKey($array, $word, $default)
+    {
         foreach ($array as $key => $val) {
             if ($val == $word) {
@@ -577,5 +608,6 @@
     }
 
-    function sfGetErrorColor($val) {
+    function sfGetErrorColor($val)
+    {
         if ($val != '') {
             return 'background-color:' . ERR_COLOR;
@@ -584,5 +616,6 @@
     }
 
-    function sfGetEnabled($val) {
+    function sfGetEnabled($val)
+    {
         if (! $val) {
             return ' disabled="disabled"';
@@ -591,5 +624,6 @@
     }
 
-    function sfGetChecked($param, $value) {
+    function sfGetChecked($param, $value)
+    {
         if ((string)$param === (string)$value) {
             return 'checked="checked"';
@@ -598,5 +632,6 @@
     }
 
-    function sfTrim($str) {
+    function sfTrim($str)
+    {
         $ret = mb_ereg_replace("^[　 \n\r]*", '', $str);
         $ret = mb_ereg_replace("[　 \n\r]*$", '', $ret);
@@ -615,5 +650,6 @@
      * @return integer 税金額
      */
-    function sfTax($price, $tax, $tax_rule) {
+    function sfTax($price, $tax, $tax_rule)
+    {
         $real_tax = $tax / 100;
         $ret = $price * $real_tax;
@@ -650,10 +686,12 @@
      * @return integer 税金付与した金額
      */
-    function sfCalcIncTax($price, $tax, $tax_rule) {
+    function sfCalcIncTax($price, $tax, $tax_rule)
+    {
         return $price + SC_Utils_Ex::sfTax($price, $tax, $tax_rule);
     }
 
     // 桁数を指定して四捨五入
-    function sfRound($value, $pow = 0) {
+    function sfRound($value, $pow = 0)
+    {
         $adjust = pow(10 ,$pow-1);
 
@@ -677,5 +715,6 @@
      * @return int 
      */
-    function sfPrePoint($price, $point_rate, $rule = POINT_RULE, $product_id = '') {
+    function sfPrePoint($price, $point_rate, $rule = POINT_RULE, $product_id = '')
+    {
         $real_point = $point_rate / 100;
         $ret = $price * $real_point;
@@ -702,5 +741,6 @@
 
     /* 規格分類の件数取得 */
-    function sfGetClassCatCount() {
+    function sfGetClassCatCount()
+    {
         $sql = 'select count(dtb_class.class_id) as count, dtb_class.class_id ';
         $sql.= 'from dtb_class inner join dtb_classcategory on dtb_class.class_id = dtb_classcategory.class_id ';
@@ -722,5 +762,6 @@
      * @return int 
      */
-    function sfGetProductClassId($product_id, $classcategory_id1=0, $classcategory_id2=0) {
+    function sfGetProductClassId($product_id, $classcategory_id1=0, $classcategory_id2=0)
+    {
         $where = 'product_id = ? AND classcategory_id1 = ? AND classcategory_id2 = ?';
         if (!$classcategory_id1) { //NULLが入ってきた場合への対策
@@ -736,5 +777,6 @@
 
     /* 文末の「/」をなくす */
-    function sfTrimURL($url) {
+    function sfTrimURL($url)
+    {
         $ret = rtrim($url, '/');
         return $ret;
@@ -742,5 +784,6 @@
 
     /* DBから取り出した日付の文字列を調整する。*/
-    function sfDispDBDate($dbdate, $time = true) {
+    function sfDispDBDate($dbdate, $time = true)
+    {
         list($y, $m, $d, $H, $M) = preg_split('/[- :]/', $dbdate);
 
@@ -758,5 +801,6 @@
 
     /* 配列をキー名ごとの配列に変更する */
-    function sfSwapArray($array, $isColumnName = true) {
+    function sfSwapArray($array, $isColumnName = true)
+    {
         $arrRet = array();
         foreach ($array as $key1 => $arr1) {
@@ -783,5 +827,6 @@
      * @return array 連想配列の値のみの配列
      */
-    function getHash2Array($hash, $requires = array()) {
+    function getHash2Array($hash, $requires = array())
+    {
         $array = array();
         $i = 0;
@@ -801,5 +846,6 @@
 
     /* かけ算をする（Smarty用) */
-    function sfMultiply($num1, $num2) {
+    function sfMultiply($num1, $num2)
+    {
         return $num1 * $num2;
     }
@@ -815,5 +861,6 @@
      * @return integer 加算ポイント
      */
-    function sfGetAddPoint($totalpoint, $use_point, $point_rate) {
+    function sfGetAddPoint($totalpoint, $use_point, $point_rate)
+    {
         // 購入商品の合計ポイントから利用したポイントのポイント換算価値を引く方式
         $add_point = $totalpoint - intval($use_point * ($point_rate / 100));
@@ -826,5 +873,6 @@
 
     /* 一意かつ予測されにくいID */
-    function sfGetUniqRandomId($head = '') {
+    function sfGetUniqRandomId($head = '')
+    {
         // 予測されないようにランダム文字列を付与する。
         $random = GC_Utils_Ex::gfMakePassword(8);
@@ -835,5 +883,6 @@
 
     // 二回以上繰り返されているスラッシュ[/]を一つに変換する。
-    function sfRmDupSlash($istr) {
+    function sfRmDupSlash($istr)
+    {
         if (preg_match('|^http://|', $istr)) {
             $str = substr($istr, 7);
@@ -867,5 +916,6 @@
      * @return string 変換後のテキストファイルのパス
      */
-    function sfEncodeFile($filepath, $enc_type, $out_dir) {
+    function sfEncodeFile($filepath, $enc_type, $out_dir)
+    {
         $ifp = fopen($filepath, 'r');
 
@@ -895,5 +945,6 @@
     }
 
-    function sfCutString($str, $len, $byte = true, $commadisp = true) {
+    function sfCutString($str, $len, $byte = true, $commadisp = true)
+    {
         if ($byte) {
             if (strlen($str) > ($len + 2)) {
@@ -943,5 +994,6 @@
 
     // 年、月、締め日から、先月の締め日+1、今月の締め日を求める。
-    function sfTermMonth($year, $month, $close_day) {
+    function sfTermMonth($year, $month, $close_day)
+    {
         $end_year = $year;
         $end_month = $month;
@@ -985,5 +1037,6 @@
 
     // 再帰的に多段配列を検索して一次元配列(Hidden引渡し用配列)に変換する。
-    function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = '') {
+    function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = '')
+    {
         if (is_array($arrSrc)) {
             foreach ($arrSrc as $key => $val) {
@@ -1004,5 +1057,6 @@
 
     // DB取得日時をタイムに変換
-    function sfDBDatetoTime($db_date) {
+    function sfDBDatetoTime($db_date)
+    {
         $date = preg_replace("|\..*$|",'',$db_date);
         $time = strtotime($date);
@@ -1015,10 +1069,12 @@
      * XXX この関数を使っている箇所は、ほぼ設計誤りと思われる。変数にフェッチするか、出力時のエンコーディングで対応すべきと見受ける。
      */
-    function sfMbConvertEncoding($str, $encode = CHAR_CODE) {
+    function sfMbConvertEncoding($str, $encode = CHAR_CODE)
+    {
         return mb_convert_encoding($str, $encode);
     }
 
     // 2つの配列を用いて連想配列を作成する
-    function sfArrCombine($arrKeys, $arrValues) {
+    function sfArrCombine($arrKeys, $arrValues)
+    {
 
         if (count($arrKeys) <= 0 and count($arrValues) <= 0) return array();
@@ -1038,5 +1094,6 @@
 
     /* 階層構造のテーブルから与えられたIDの兄弟を取得する */
-    function sfGetBrothersArray($arrData, $pid_name, $id_name, $arrPID) {
+    function sfGetBrothersArray($arrData, $pid_name, $id_name, $arrPID)
+    {
         $max = count($arrData);
 
@@ -1061,5 +1118,6 @@
 
     /* 階層構造のテーブルから与えられたIDの直属の子を取得する */
-    function sfGetUnderChildrenArray($arrData, $pid_name, $id_name, $parent) {
+    function sfGetUnderChildrenArray($arrData, $pid_name, $id_name, $parent)
+    {
         $max = count($arrData);
 
@@ -1078,5 +1136,6 @@
      * @deprecated SC_Query::quote() を使用すること
      */
-    function sfQuoteSmart($in) {
+    function sfQuoteSmart($in)
+    {
 
         if (is_int($in) || is_double($in)) {
@@ -1092,5 +1151,6 @@
 
     // ディレクトリを再帰的に生成する
-    function sfMakeDir($path) {
+    function sfMakeDir($path)
+    {
         static $count = 0;
         $count++;  // 無限ループ回避
@@ -1119,5 +1179,6 @@
 
     // ディレクトリ以下のファイルを再帰的にコピー
-    function sfCopyDir($src, $des, $mess = '', $override = false) {
+    function sfCopyDir($src, $des, $mess = '', $override = false)
+    {
         if (!is_dir($src)) {
             return false;
@@ -1176,5 +1237,6 @@
      * @return void
      */
-    function sfFlush($output = false, $sleep = 0) {
+    function sfFlush($output = false, $sleep = 0)
+    {
         // 出力をバッファリングしない(==日本語自動変換もしない)
         while (@ob_end_flush());
@@ -1198,5 +1260,6 @@
 
     // @versionの記載があるファイルからバージョンを取得する。
-    function sfGetFileVersion($path) {
+    function sfGetFileVersion($path)
+    {
         if (file_exists($path)) {
             $src_fp = fopen($path, 'rb');
@@ -1223,5 +1286,6 @@
      * @see mb_convert_kana
      */
-    function mbConvertKanaWithArray($array, $arrConvList) {
+    function mbConvertKanaWithArray($array, $arrConvList)
+    {
         foreach ($arrConvList as $key => $val) {
             if (isset($array[$key])) {
@@ -1239,5 +1303,6 @@
      * @return array 添字を定義した配列
      */
-    function arrayDefineIndexes($array, $defineIndexes) {
+    function arrayDefineIndexes($array, $defineIndexes)
+    {
         foreach ($defineIndexes as $key) {
             if (!isset($array[$key])) $array[$key] = '';
@@ -1255,5 +1320,6 @@
      * @return array
      */
-    function sfArrayIntersectKeys($arrSrc, $arrKey) {
+    function sfArrayIntersectKeys($arrSrc, $arrKey)
+    {
         $arrRet = array();
         foreach ($arrKey as $key) {
@@ -1268,5 +1334,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::printXMLDeclaration を使用すること
      */
-    function printXMLDeclaration() {
+    function printXMLDeclaration()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         GC_Utils_Ex::printXMLDeclaration();
@@ -1278,5 +1345,6 @@
      * @return string
      */
-    function getTableTag($array) {
+    function getTableTag($array)
+    {
         $html = '<table>';
         $html.= '<tr>';
@@ -1304,5 +1372,6 @@
      * @return string
      */
-    function sfNoImageMainList($filename = '') {
+    function sfNoImageMainList($filename = '')
+    {
         if (strlen($filename) == 0 || substr($filename, -1, 1) == '/') {
             $filename .= 'noimage_main_list.jpg';
@@ -1317,5 +1386,6 @@
      * @return string
      */
-    function sfNoImageMain($filename = '') {
+    function sfNoImageMain($filename = '')
+    {
         if (strlen($filename) == 0 || substr($filename, -1, 1) == '/') {
             $filename .= 'noimage_main.png';
@@ -1325,5 +1395,6 @@
 
     /* デバッグ用 ------------------------------------------------------------------------------------------------*/
-    function sfPrintR($obj) {
+    function sfPrintR($obj)
+    {
         echo '<div style="font-size: 12px;color: #00FF00;">' . "\n";
         echo '<strong>**デバッグ中**</strong><br />' . "\n";
@@ -1340,5 +1411,6 @@
      * @return string ランダムな文字列
      */
-    function sfGetRandomString($length = 1) {
+    function sfGetRandomString($length = 1)
+    {
         return Text_Password::create($length);
     }
@@ -1349,5 +1421,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::getUrl を使用すること
      */
-    function sfGetUrl() {
+    function sfGetUrl()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return GC_Utils_Ex::getUrl();
@@ -1359,5 +1432,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::toStringBacktrace を使用すること
      */
-    function sfBacktraceToString($arrBacktrace) {
+    function sfBacktraceToString($arrBacktrace)
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return GC_Utils_Ex::toStringBacktrace($arrBacktrace);
@@ -1369,5 +1443,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isAdminFunction を使用すること
      */
-    function sfIsAdminFunction() {
+    function sfIsAdminFunction()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return GC_Utils_Ex::isAdminFunction();
@@ -1379,5 +1454,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isFrontFunction を使用すること
      */
-    function sfIsFrontFunction() {
+    function sfIsFrontFunction()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return GC_Utils_Ex::isFrontFunction();
@@ -1389,5 +1465,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::isInstallFunction を使用すること
      */
-    function sfIsInstallFunction() {
+    function sfIsInstallFunction()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return GC_Utils_Ex::isInstallFunction();
@@ -1395,5 +1472,6 @@
 
     // 郵便番号から住所の取得
-    function sfGetAddress($zipcode) {
+    function sfGetAddress($zipcode)
+    {
 
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1441,5 +1519,6 @@
      * @deprecated 2.12.0 microtime(true) を使用する。
      */
-    function sfMicrotimeFloat() {
+    function sfMicrotimeFloat()
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         return microtime(true);
@@ -1467,5 +1546,6 @@
      * @return boolean $val が空白と判断された場合 true
      */
-    function isBlank($val, $greedy = true) {
+    function isBlank($val, $greedy = true)
+    {
         if (is_array($val)) {
             if ($greedy) {
@@ -1509,5 +1589,6 @@
      * @return boolean
      */
-    function sfIsInternalDomain($url) {
+    function sfIsInternalDomain($url)
+    {
         $netURL = new Net_URL(HTTP_URL);
         $host = $netURL->host;
@@ -1525,5 +1606,6 @@
      * @return string ハッシュ暗号化された文字列
      */
-    function sfGetHashString($str, $salt) {
+    function sfGetHashString($str, $salt)
+    {
         $res = '';
         if ($salt == '') {
@@ -1546,5 +1628,6 @@
      * @return boolean 一致判定
      */
-    function sfIsMatchHashPassword($pass, $hashpass, $salt) {
+    function sfIsMatchHashPassword($pass, $hashpass, $salt)
+    {
         $res = false;
         if ($hashpass != '') {
@@ -1577,5 +1660,6 @@
      * @return integer 1ページあたりの最大表示件数
      */
-    function sfGetSearchPageMax($search_page_max) {
+    function sfGetSearchPageMax($search_page_max)
+    {
         if (SC_Utils_Ex::sfIsInt($search_page_max) && $search_page_max > 0) {
             $page_max = intval($search_page_max);
@@ -1598,5 +1682,6 @@
      * @see Services_JSON::encode()
      */
-    function jsonEncode($value) {
+    function jsonEncode($value)
+    {
         if (function_exists('json_encode')) {
             return json_encode($value);
@@ -1620,5 +1705,6 @@
      * @see Services_JSON::decode()
      */
-    function jsonDecode($json) {
+    function jsonDecode($json)
+    {
         if (function_exists('json_decode')) {
             return json_decode($json);
@@ -1639,5 +1725,6 @@
      * @return boolean 絶対パスの場合 true
      */
-    function isAbsoluteRealPath($realpath) {
+    function isAbsoluteRealPath($realpath)
+    {
         if (strpos(PHP_OS, 'WIN') === false) {
             return substr($realpath, 0, 1) == '/';
@@ -1657,5 +1744,6 @@
      * @see http://jp.php.net/mkdir
      */
-    function recursiveMkdir($pathname, $mode = 0777) {
+    function recursiveMkdir($pathname, $mode = 0777)
+    {
         /*
          * SC_Utils_Ex への再帰は無限ループやメモリリークの懸念
@@ -1666,5 +1754,6 @@
     }
 
-    function isAppInnerUrl($url) {
+    function isAppInnerUrl($url)
+    {
         $pattern = '/^(' . preg_quote(HTTP_URL, '/') . '|' . preg_quote(HTTPS_URL, '/') . ')/';
         return preg_match($pattern, $url) >= 1;
@@ -1679,5 +1768,6 @@
      * @return boolean 成功=true, 失敗=false
      */
-    function extendTimeOut($seconds = null) {
+    function extendTimeOut($seconds = null)
+    {
         $safe_mode = (boolean)ini_get('safe_mode');
         if ($safe_mode) return false;
@@ -1701,5 +1791,6 @@
      * @return void
      */
-    function clearCompliedTemplate() {
+    function clearCompliedTemplate()
+    {
         // コンパイルファイルの削除処理
         SC_Helper_FileManager_Ex::deleteFile(COMPILE_REALDIR, false);
@@ -1715,5 +1806,6 @@
      * @return void
      */
-    function copyDirectory($source_path, $dest_path) {
+    function copyDirectory($source_path, $dest_path)
+    {
 
         $handle=opendir($source_path);  
@@ -1741,5 +1833,6 @@
      * @return string
      */
-    function repeatStrWithSeparator($input, $multiplier, $separator = ',') {
+    function repeatStrWithSeparator($input, $multiplier, $separator = ',')
+    {
         return implode($separator, array_fill(0, $multiplier, $input));
     }
@@ -1752,5 +1845,6 @@
      * @return string RFC3986エンコード文字列
      */
-    function encodeRFC3986($str) {
+    function encodeRFC3986($str)
+    {
         return str_replace('%7E', '~', rawurlencode($str));
     }
@@ -1763,5 +1857,6 @@
      * @return string 変更後の文字列
      */
-    static function trim($str, $charlist = null) {
+    static function trim($str, $charlist = null)
+    {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
         return preg_replace('/(^' . $re . ')|(' . $re . '$)/us', '', $str);
@@ -1775,5 +1870,6 @@
      * @return string 変更後の文字列
      */
-    static function ltrim($str, $charlist = null) {
+    static function ltrim($str, $charlist = null)
+    {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
         return preg_replace('/^' . $re . '/us', '', $str);
@@ -1787,5 +1883,6 @@
      * @return string 変更後の文字列
      */
-    static function rtrim($str, $charlist = null) {
+    static function rtrim($str, $charlist = null)
+    {
         $re = SC_Utils_Ex::getTrimPregPattern($charlist);
         return preg_replace('/' . $re . '$/us', '', $str);
@@ -1798,5 +1895,6 @@
      * @return string パターン
      */
-    static function getTrimPregPattern($charlist = null) {
+    static function getTrimPregPattern($charlist = null)
+    {
         if (is_null($charlist)) {
             return '\s+';
@@ -1812,5 +1910,6 @@
      * @return string
      */
-    function getUnitDataSize($data){
+    function getUnitDataSize($data)
+    {
 
         if($data < 1000){
Index: /branches/version-2_12-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 22567)
@@ -31,5 +31,6 @@
  * @version $Id$
  */
-class GC_Utils {
+class GC_Utils 
+{
 
     /**
@@ -39,5 +40,6 @@
      * @return void
      */
-    function gfDebugLog($obj) {
+    function gfDebugLog($obj)
+    {
         if (USE_VERBOSE_LOG === true) {
             $msg = "DEBUG\n"
@@ -53,5 +55,6 @@
      * @return string 呼び出し元クラス、関数名、行数の文字列表現
      */
-    function gfGetCallerInfo($forLogInfo = true) {
+    function gfGetCallerInfo($forLogInfo = true)
+    {
         // バックトレースを取得する
         $traces = debug_backtrace(false);
@@ -74,5 +77,6 @@
      * エラーハンドリングに関わる情報を切り捨てる。
      */
-    function getDebugBacktrace($arrBacktrace = null) {
+    function getDebugBacktrace($arrBacktrace = null)
+    {
         if (is_null($arrBacktrace)) {
             $arrBacktrace = debug_backtrace(false);
@@ -119,5 +123,6 @@
      * @deprecated 2.12.0
      */
-    function gfGetLogStr($mess, $log_level = 'Info') {
+    function gfGetLogStr($mess, $log_level = 'Info')
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         // メッセージの前に、ログ出力元関数名とログ出力関数呼び出し部分の行数を付与
@@ -137,5 +142,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function gfAdminLog($mess, $log_level = 'Info') {
+    function gfAdminLog($mess, $log_level = 'Info')
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         // ログレベル=Debugの場合は、DEBUG_MODEがtrueの場合のみログ出力する
@@ -153,5 +159,6 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function gfFrontLog($mess, $log_level = 'Info') {
+    function gfFrontLog($mess, $log_level = 'Info')
+    {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         // ログレベル=Debugの場合は、DEBUG_MODEがtrueの場合のみログ出力する
@@ -172,5 +179,6 @@
      * @param bool $verbose 冗長な出力を行うか
      */
-    function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG) {
+    function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG)
+    {
         // 日付の取得
         $today = date('Y/m/d H:i:s');
@@ -208,5 +216,6 @@
      * @return void
      */
-    function gfLogRotation($max_log, $max_size, $path) {
+    function gfLogRotation($max_log, $max_size, $path)
+    {
 
         // ファイルが存在しない場合、終了
@@ -245,5 +254,6 @@
      * [注釈] -
      *----------------------------------------------------------------------*/
-    function gfMakePassword($pwLength) {
+    function gfMakePassword($pwLength)
+    {
 
         // 乱数表のシードを決定
@@ -271,5 +281,6 @@
      *----------------------------------------------------------------------------------------------------------------------*/
 
-    function gfMailHeaderAddr($str) {
+    function gfMailHeaderAddr($str)
+    {
         $addrs = explode(',', $str); //アドレスを配列に入れる
         $mailaddrs = array();
@@ -293,5 +304,6 @@
      * @return string テキストで表現したバックトレース
      */
-    function toStringBacktrace($arrBacktrace) {
+    function toStringBacktrace($arrBacktrace)
+    {
         $string = '';
 
@@ -316,5 +328,6 @@
      * @return string|integer エラー定数名
      */
-    function getErrorTypeName($error_type) {
+    function getErrorTypeName($error_type)
+    {
         $arrDefinedConstants = get_defined_constants(true);
 
@@ -347,5 +360,6 @@
      * @return string 現在のURL
      */
-    function getUrl() {
+    function getUrl()
+    {
         $url = '';
 
@@ -369,5 +383,6 @@
      * @return bool 管理機能か
      */
-    function isAdminFunction() {
+    function isAdminFunction()
+    {
         return defined('ADMIN_FUNCTION') && ADMIN_FUNCTION === true;
     }
@@ -378,5 +393,6 @@
      * @return bool フロント機能か
      */
-    function isFrontFunction() {
+    function isFrontFunction()
+    {
         return defined('FRONT_FUNCTION') && FRONT_FUNCTION === true;
     }
@@ -387,5 +403,6 @@
      * @return bool インストール機能か
      */
-    function isInstallFunction() {
+    function isInstallFunction()
+    {
         return defined('INSTALL_FUNCTION') && INSTALL_FUNCTION === true;
     }
@@ -398,5 +415,6 @@
      * @return string XML宣言の文字列
      */
-    function printXMLDeclaration() {
+    function printXMLDeclaration()
+    {
         $ua = $_SERVER['HTTP_USER_AGENT'];
         if (!preg_match('/MSIE/', $ua) || preg_match('/MSIE 7/', $ua)) {
Index: /branches/version-2_12-dev/data/class/SC_MobileView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 22567)
@@ -22,10 +22,13 @@
  */
 
-class SC_MobileView extends SC_SiteView_Ex {
-    function __construct($setPrevURL = true) {
+class SC_MobileView extends SC_SiteView_Ex 
+{
+    function __construct($setPrevURL = true)
+    {
         parent::__construct($setPrevURL);
     }
 
-    function init() {
+    function init()
+    {
         parent::init();
 
Index: /branches/version-2_12-dev/data/class/SC_Display.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Display.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/SC_Display.php	(revision 22567)
@@ -28,5 +28,6 @@
  * @version $Id$
  */
-class SC_Display{
+class SC_Display
+{
 
     var $response;
@@ -49,5 +50,6 @@
      */
 
-    function __construct($hasPrevURL = true) {
+    function __construct($hasPrevURL = true)
+    {
         $this->response = new SC_Response_Ex();
         if ($hasPrevURL) {
@@ -56,5 +58,6 @@
     }
 
-    function setPrevURL() {
+    function setPrevURL()
+    {
         // TODO SC_SiteSession で実装した方が良さげ
         $objCartSess = new SC_CartSession_Ex();
@@ -68,5 +71,6 @@
      * @param $is_admin boolean 管理画面を扱う場合 true
      */
-    function prepare($page, $is_admin = false) {
+    function prepare($page, $is_admin = false)
+    {
         if (!$this->deviceSeted || !is_null($this->view)) {
             $device = ($is_admin) ? DEVICE_TYPE_ADMIN : $this->detectDevice();
@@ -83,9 +87,11 @@
      * SC_Response::reload() のラッパーです.
      */
-    function reload($queryString = array(), $removeQueryString = false) {
+    function reload($queryString = array(), $removeQueryString = false)
+    {
         $this->response->reload($queryString, $removeQueryString);
     }
 
-    function noAction() {
+    function noAction()
+    {
         return;
     }
@@ -94,5 +100,6 @@
      * ヘッダを追加する.
      */
-    function addHeader($name, $value) {
+    function addHeader($name, $value)
+    {
         $this->response->addHeader($name, $value);
     }
@@ -102,5 +109,6 @@
      * Enter description here ...
      */
-    function setDevice($device = DEVICE_TYPE_PC) {
+    function setDevice($device = DEVICE_TYPE_PC)
+    {
 
         switch ($device) {
@@ -127,5 +135,6 @@
      * SC_View インスタンスを設定する.
      */
-    function setView($view) {
+    function setView($view)
+    {
         $this->view = $view;
     }
@@ -142,5 +151,6 @@
      * @return integer 端末種別ID
      */
-    public static function detectDevice($reset = FALSE) {
+    public static function detectDevice($reset = FALSE)
+    {
         if (is_null(SC_Display_Ex::$device) || $reset) {
             $nu = new Net_UserAgent_Mobile();
@@ -157,13 +167,16 @@
     }
 
-    function assign($val1,$val2) {
+    function assign($val1,$val2)
+    {
         $this->view->assign($val1, $val2);
     }
 
-    function assignobj($obj) {
+    function assignobj($obj)
+    {
         $this->view->assignobj($obj);
     }
 
-    function assignarray($array) {
+    function assignarray($array)
+    {
         $this->view->assignarray($array);
     }
